Subject: bug#70815: [PATCH] ; Enahnce python-tests.el to adapt different python interpreters

From: kobarity <[email-masked]>
Date: Mon, 27 May 2024 00:00:36 +0900

kobarity wrote:
> 
> Mattias Engdegård wrote:
> > 
> > 26 maj 2024 kl. 14.36 skrev kobarity <[email-masked]>:
> > 
> > > Sorry, I forgot that native completion does not work on Mac, even with
> > > Python 3.  What I wanted to know is if there is unexpected echo backs
> > > with Python 2 on Mac.
> > 
> > Not that I can see when running an interactive Python shell in Emacs, no.
> 
> Could you see what is returned when you enter the following line in
> Inferior Python buffer running Python 2 on Mac?
> 
> __PYTHON_EL_eval("print(\"Hello\")\n", "")

Sorry, it was meaningless.
Please try evaluating the following expression in the Python buffer
after invoking Inferior Python buffer running Python 2.

(python-shell-send-string-no-output "print('a')")

Expected value is "a", but I suspect that this is not the case with
Python 2 on Mac.